// dojstreams - a c++ stream library implementation
//
// Copyright (c) 2003-2004 by Dirk Jagdmann <doj@cubic.org>
//
// This software is provided 'as-is', without any express or implied
// warranty. In no event will the authors be held liable for any
// damages arising from the use of this software.
//
// Permission is granted to anyone to use this software for any
// purpose, including commercial applications, and to alter it and
// redistribute it freely, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must
// not claim that you wrote the original software. If you use this
// software in a product, an acknowledgment in the product
// documentation would be appreciated but is not required.
//
// 2. Altered source versions must be plainly marked as such, and must
// not be misrepresented as being the original software.
//
// 3. This notice may not be removed or altered from any source
// distribution.

#ifndef DS_IOMANIP__HPP
#define DS_IOMANIP__HPP

#include <ds_iosbase.hpp>

namespace DS_NAMESPACE
{
  inline resetiosflags_t resetiosflags(ios_base::fmtflags mask) { return mask; }
  inline setiosflags_t setiosflags(ios_base::fmtflags mask) { return mask; }
  inline setbase_t setbase(int b) { return b; }
  inline setfill_t setfill(int f) { return f; }
  inline setprecision_t setprecision(streamsize p) { return p; }
  inline setw_t setw(streamsize w) { return w; }
}

#endif
