// dojstreams - a c++ stream library implementation
//
// Copyright (c) 2003-2004 by Dirk Jagdmann <doj@cubic.org>
//
// This software is provided 'as-is', without any express or implied
// warranty. In no event will the authors be held liable for any
// damages arising from the use of this software.
//
// Permission is granted to anyone to use this software for any
// purpose, including commercial applications, and to alter it and
// redistribute it freely, subject to the following restrictions:
//
// 1. The origin of this software must not be misrepresented; you must
// not claim that you wrote the original software. If you use this
// software in a product, an acknowledgment in the product
// documentation would be appreciated but is not required.
//
// 2. Altered source versions must be plainly marked as such, and must
// not be misrepresented as being the original software.
//
// 3. This notice may not be removed or altered from any source
// distribution.

#ifndef INC__HPP
#define INC__HPP

#ifdef USEDS

#include <ds_iostream.hpp>
#include <ds_basicistringstream.hpp>
#include <ds_basicostringstream.hpp>
#include <ds_basicifstream.hpp>
#include <ds_basicofstream.hpp>
#include <ds_iomanip.hpp>
#if USESTRING
#include <ds_string.hpp>
#endif
using namespace DS_NAMESPACE;

#else // USEDS

#include <iostream>
#include <fstream>
#include <sstream>
#include <iomanip>
#include <string>
using namespace std;
#define TYPENAME typename

#define DS_STRING_NAMESPACE std

#if 0
static void ds_debughook(char *s, const int i=0)
{
  printf(s, i);
}
#endif

#endif // USEDS

void teststring();

#endif
